library(MASS)
data(Animals)
str(Animals)

anim.m2 <- lm(log(brain)~log(body),data=Animals,subset=!(log(Animals$body)>8&log(Animals$brain)<6))

anim.m0 <- lm(log(brain)~1, data=Animals,subset=!(log(Animals$body)>8&log(Animals$brain)<6))

anova(anim.m0,anim.m2)

#1
anova(anim.m2)
#A soma da soma dos quadrados na funcao anova(anim.m2)
#  a soma dos quadrados dos residuos do modelo anim.m0 (mais simples)

#2
summary(anim.m0)
mean(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))
sd(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))
#A interceptacao do modelo simples coincide
# com a media  e o desvio padro com o erro padrao residual,
#pois o modelo padrao, sendo o mais simples, considera que
#os dados so sao afetados pela propria media dos dados
