##Exerccios aula 04

#104.1 Rios

data(rivers)
str(rivers)
length(rivers)
mean(rivers)
prop.mm <- length(rivers[rivers<mean(rivers)])/length(rivers)
prop.mm

summary(rivers)
quantil <- quantile(rivers, probs=seq(from=0, to=1, by=0.75))
quantil.75 <- quantil[2]
quantil.75

medias <- c(mean(rivers), mean(rivers, trim=0.25), median(rivers))
medias

#4.2 Cervejas

cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa","lata","chope","nenhuma", "garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata")
str(cervejas)
table(cervejas)
barplot(table(cervejas), xlab="Tipos de cerveja preferidos", ylab="Proporo", xlim=c(0,5), ylim=c(0,14))

dotchart(table(cervejas))

##o grfico que gasta menos tinta e que representa os grficos sem grande poluio visual  o dotchart

#4.3 Caixetais

caixeta <- read.csv("caixeta.csv", as.is=T)
head(caixeta)
length(caixeta$cap)
caixeta$cap
raio = (caixeta$cap)/(pi*2)
raio
dap = pi*((raio)^(2))
dap
range(dap)
hist(dap, xlim=c(30, 100000))

par(mfrow=c(2,2))
tabela <- table(caixeta$h[caixeta$local=="chauas"])
tabela
hist(tabela, main="Chauas")

tabela1 <- table(caixeta$h[caixeta$local=="jureia"])
tabela1
hist(tabela1, main="Jureia")

tabela2 <- table(caixeta$h[caixeta$local=="retiro"])
tabela2
hist(tabela, main="Retiro")

#a estrutura dos dados no  diferente entre locais, em todos  assimtrico a esquerda, assimetria negativa
#
#
#4.4 Eucaliptos
floresta <- read.table("egrandis.csv", header=T, sep=";")
floresta
head(floresta)

class(floresta$rotacao)
class(floresta$regiao)

par(mfrow=c(1,1))
boxplot(floresta$dap~floresta$regiao*floresta$rotacao, xlab="Regies", ylab="Dimetro a altura do peito")


qqnorm(floresta$ht) 

##4.5 Mais Caixetais

caixeta=read.table("caixeta.csv",sep=",", head=T) 
head(caixeta)
dap=(caixeta$cap)/pi
dap
caixeta <- data.frame(caixeta, dap)
head(caixeta)

#calculando a rea basal 
caixeta$areabasal <- caixeta$cap^2/4*pi
head(caixeta)

#realizando a soma da coluna area basal em funo do local, parcela, arvore e especie, como cada fuste  uma linha, vai retornar a area basal total

caixeta.2 <- aggregate(caixeta$areabasal,
                       by=list(local=caixeta$local,
                               parcela=caixeta$parcela,
                               arvore=caixeta$arvore,
                               especie=caixeta$especie),
                       FUN=sum)

str(caixeta.2)
head(caixeta.2)
names(caixeta.2)[5] <- "area.basal"
head(caixeta.2)

#calcula a mdia de altura de cada rvore, de cada parcela, em cada local, em funo da espcie
hmedio <- aggregate(caixeta$h,
                  by=list(local=caixeta$local,
                          parcela=caixeta$parcela,
                          arvore=caixeta$arvore,
                          especie=caixeta$especie),
                  FUN=mean)
str(hmedio)
head(hmedio)

#insere os dados de altura por altura mdia
caixeta.2$h <- hmedio$x
head(caixeta.2)
#calculando o raio da rea basal, considerando que ela seria produzida por um nico fuste:
caixeta.2$raio <- sqrt(caixeta.2$area.basal/pi)
#calculando o dimetro que  2 vezes o raio
caixeta.2$dap <- (caixeta.2$raio*2)
#todas as colunas foram inseridas no data.frame
head(caixeta.2)


#separando apenas T. cassinoides 
T.cassinoides= caixeta.2[caixeta.2$especie=="Tabebuia cassinoides",]
T.cassinoides
str(T.cassinoides)
head(T.cassinoides)

#plotando em funo de cada local = 3 grficos
par(mfrow=c(1,3))
plot(h~dap, data=T.cassinoides, subset=local== "chauas", xlab= "DAP", ylab= "Altura", main= "Chauas")
plot(h~dap, data=T.cassinoides, subset=local== "jureia", xlab= "DAP", ylab= "Altura", main= " Jureia")
plot(h~dap, data=T.cassinoides, subset=local== "retiro", xlab= "DAP", ylab= "Altura", main= " Retiro")

##
par(mfrow=c(1,3))
with(T.cassinoides, scatter.smooth(dap[local=="chauas"],h[local=="chauas"], span=1/2))
with(T.cassinoides, scatter.smooth(dap[local=="jureia"],h[local=="jureia"], span=1/2))
with(T.cassinoides, scatter.smooth(dap[local=="retiro"],h[local=="retiro"], span=1/2))
#a funao with cria cpia dos dados j trabalhados, onde o segundo argumento  a funo a ser adicionada aos dados j trabalhados

##
require(lattice)
xyplot(h~dap|local, data= T.cassinoides)



       