##Exercicios 7b

##Uma estimativa da incerteza na previso do modelo

bebes <- read.table("babies.txt", header=T,as.is=T, sep=" ")
head(bebes)
bebes <- bebes[bebes$bwt!='999',]
bebes
bebes <- bebes[bebes$gestation!="999", ]
bebes <- bebes[bebes$parity!="9", ]
bebes <- bebes[bebes$age!="99", ]
bebes <- bebes[bebes$height!="99", ]
bebes <- bebes[bebes$weight!="999", ]
bebes <- bebes[bebes$smoke!="9", ]
#criar lm onde o y= peso bebe (bwt) e o x= gestation
lm1 <- lm(bwt~gestation, data=bebes)
summary(lm1)#modelo explica 0.3% da variao, peso= -10.75 + 0.466gestation
#plotando o modelo linear
par(mfrow=c(1,1))
plot(bwt~gestation, data=bebes)
abline(lm1, col="red")

#criando os parametros da formula
media.x <- mean(bebes$gestation) #media dos valores de x observados (bwt)
media.x
n <- length(bebes$bwt) #n  o comprimento 
n
s2 <- var(bebes$bwt) #variancia de 
s2
ssx <- sum((bebes$gestation-media.x)^2)
ssx
simula.bwt <- seq(min(bebes$gestation), max(bebes$gestation), length.out=100)
simula.bwt2 <- ((simula.bwt-media.x)^2)
simula.bwt2


SEy= sqrt(s2*((1/n) + (simula.bwt2/ssx)))
SEy
qt=qt(0.025,1172)
erro.padrao <- SEy*qt
erro.padrao
polygon(c(rev(simula.bwt), simula.bwt), c(rev(erro.padrao -10.75 + 0.466*simula.bwt), (-erro.padrao -10.75 + 0.466*simula.bwt)), col=rgb(0,0,0,0.2))
i


##Galileu estava Certo?
init.h = c(600, 700, 800, 950, 1100, 1300, 1500)
h.d = c(253, 337, 395, 451, 495, 534, 573)

lm.galileu1 <- lm(h.d~init.h)
summary(lm.galileu1)

lm.galileu2 <- lm(h.d~init.h + I(init.h^2) + I(init.h^3))

anova(lm.galileu1, lm.galileu2)
#modelo 2, com o ajuste polinomial  melhor que o modelo linear, sendo que explica 174 vezes mais que o modelo 1 e  significativo, devendo ser o modelo mnimo adequado!!!!                  



##Massa de Recm-Nascidos
##
bebes <- read.table("babies.txt", header=T,as.is=T, sep=" ")
head(bebes)
bebes <- bebes[bebes$bwt!='999',]
bebes <- bebes[bebes$gestation!="999", ]
bebes <- bebes[bebes$parity!="9", ]
bebes <- bebes[bebes$age!="99", ]
bebes <- bebes[bebes$height!="99", ]
bebes <- bebes[bebes$weight!="999", ]
bebes <- bebes[bebes$smoke!="9", ]
bebes
head(bebes)
#criar modelos para explicar bwt em funcao de gestation, parity, age, height, weight e smoke
#acredito que altura da me e parity no apresentam relevncia para explicar o peso do beb. O primeiro porque o tamanho do beb no deve ser influenciado pela altura da me mas pelo seu peso e o segundo porque apesar de haver diferena entre primeiras e segundas gestaes, acredito que cada gestao ser um evento independente. 
#Mas o tempo de gestaa onfluenciaria no tempo que o bebe teve para nutrir e crescer, a idade da me traria a capacidade de ela manter uma gestao por mais tempo, seu peso interfere na quantidade de calorias que ela pode nutrir o bebe e ser fumante ou no pode causar disturbios na formao, por isso apenas essas variveis foram selecionadas
lm.bb1 <- lm(bwt~gestation  + age + weight + smoke + gestation:age + gestation:weight + gestation:smoke+ age:weight + age:smoke + weight:smoke + gestation:age:weight + gestation:age:smoke + gestation:weight:smoke, data=bebes)
summary(lm.bb1)
#as interaes triplas no foram significativas, logo podemos retir-las, uma a uma: 
lm.bb2 <- lm(bwt~gestation  + age + weight + smoke + gestation:age + gestation:weight + gestation:smoke+ age:weight + age:smoke + weight:smoke + gestation:age:weight + gestation:age:smoke, data=bebes)
anova(lm.bb2, lm.bb1)
#o segundo modelo (full) no  significativo em relao ao modelo 1, logo ficar com o mais simples, sem a interao gestation:weight:smoke
#testar a retirada da interao tripla gestation:age:smoke
lm.bb3 <- lm(bwt~gestation  + age + weight + smoke + gestation:age + gestation:weight + gestation:smoke+ age:weight + age:smoke + weight:smoke + gestation:age:weight, data=bebes)
anova(lm.bb3, lm.bb1)
#a interao tripla entre gestation:age:smoke tambm no foi significativa para explicar o modelo, podendo ficar com o mais simples, sem a interao
#testar a retirada da ltima interao tripla gestation:age:weight
lm.bb4 <- lm(bwt~gestation  + age + weight + smoke + gestation:age + gestation:weight + gestation:smoke+ age:weight + age:smoke + weight:smoke, data=bebes)
anova(lm.bb4, lm.bb1)
#o modelo com a interao no  significativo em relao ao outro, podendo serem retiradas todas as interaes triplas do modelo completo
# vamos testar as interaes duplas, o modelo full das interaes duplas:
lm.bb5 <- lm(bwt~gestation  + age + weight + smoke + gestation:age + gestation:weight + gestation:smoke+ age:weight + age:smoke + weight:smoke, data=bebes)
#retirando weight:smoke
lm.bb6 <- lm(bwt~gestation  + age + weight + smoke + gestation:age + gestation:weight + gestation:smoke+ age:weight + age:smoke, data=bebes)
anova(lm.bb5, lm.bb6)
#modelo sem a interao dupla no explica mais que o outro, no significativo, podendo ser retirada
#retirando age:smoke
lm.bb7 <- lm(bwt~gestation  + age + weight + smoke + gestation:age + gestation:weight + gestation:smoke+ age:weight + weight:smoke, data=bebes)
anova(lm.bb5, lm.bb7)
#interao age:smoke no  significativa
#retirando age:weight
lm.bb8 <- lm(bwt~gestation  + age + weight + smoke + gestation:age + gestation:weight + gestation:smoke+ age:smoke + weight:smoke, data=bebes)
anova(lm.bb5, lm.bb8)
#interao tambm no  significativa, podendo ser retirada
#removendo gestation:smoke
lm.bb9 <- lm(bwt~gestation  + age + weight + smoke + gestation:age + gestation:weight + age:weight + age:smoke + weight:smoke, data=bebes)
anova(lm.bb5, lm.bb9)
#relao entre gestao e ser fumante  significativa e no pode ser retirada!
#removendo gestation:weight
lm.bb10 <- lm(bwt~gestation  + age + weight + smoke + gestation:age + gestation:smoke+ age:weight + age:smoke + weight:smoke, data=bebes)
anova(lm.bb5, lm.bb10)
#relao entre gestao e peso no significativa, pode ser retirada
#removendo gestation:age
lm.bb11 <- lm(bwt~gestation  + age + weight + smoke + gestation:weight + gestation:smoke+ age:weight + age:smoke + weight:smoke, data=bebes)
anova(lm.bb5, lm.bb11)
#relao significativa entre idade e gestao
#
#modelo mnimo adequado retirando-se interaes duplas e triplas que no so explicativas
lm.bb12 <- lm(bwt~gestation + age + weight + smoke + gestation:smoke + gestation:age, data=bebes)
#considerando que gestation, age e smoke esto nas interaes, devem ser mantidas no modelo, mas vamos testar sem o weight
lm.bb13 <- lm (bwt~gestation + age + smoke + gestation:smoke + gestation:age, data=bebes)
anova(lm.bb13, lm.bb12)
# significativo, logo weight no pode ser retirado! 
#
#MODELO MNIMO ADEQUADO: 
modelo.minimo <- lm(bwt~gestation + age + weight + smoke + gestation:smoke + gestation:age, data=bebes)
