##EXERCICIOS 8
##
#################Exercicio 1############################################
eutad <- read.table("palmadulto.txt", header=T, sep="\t")
head(eutad)
length(eutad$tag)

dist=matrix(NA, ncol=102, nrow=102) #objeto (matriz) criado para guardar as distancias

for(i in 1:101)
{
  for(j in (i+1):102)
  {
    difx2=(eutad$gx[i]-eutad$gx[j])^2
    dify2=(eutad$gy[i]-eutad$gy[j])^2
    dist[i,j]<-sqrt(difx2 + dify2)
    dist[j,i]<-sqrt(difx2 + dify2)
  }
  
}
str(dist)
head(dist) #matriz de distncia onde as diagonais possuem NA

(nn<-apply(dist, 1, min, na.rm=TRUE)) #pega os valores minimos nas linhas de matriz, removendo os NAs das diagonais
nn
(mnn<-mean(nn)) #ESSE VALOR  O ESPERADO PELOS DADOS!!!

###SIMULANDO: 
nsim=1000
resultado <- rep(NA, nsim)
resultado[1] <- mnn
for (k in 2:1000){
  xsim = round(runif(n=102, min=0, max=320),1) #simulando x
  ysim = round(runif(n=102, min=0, max=320),1) #simulando y
  matrix.dist=matrix(NA, ncol=102, nrow=102) #criando a matriz
  for(i in 1:101)
  {
    for(j in (i+1):102)
    {
      difx2.sim=(xsim[i]-xsim[j])^2
      dify2.sim=(ysim[i]-ysim[j])^2
      matrix.dist[i,j]<-sqrt(difx2.sim + dify2.sim)
      matrix.dist[j,i]<-sqrt(difx2.sim + dify2.sim)
    }
    }
  nn.sim <-apply(matrix.dist, 1, min, na.rm=TRUE)
  resultado[k]<- mean(nn.sim)
}

#plotando o histograma das simulaes:
hist(resultado)
abline(v=mnn, col="red")

#testando a probabilidade
prob= resultado - mean(resultado)
head(prob)
hist(prob)
abline(v=prob[1], col="red")
prob[1]

teste=sum(prob<=(prob[1]) | prob>=(prob[1]*-1))
teste
length(prob)
p.valor= teste/length(prob)
p.valor
#p.valor foi 0.051!
#

######################### Exercicio 2 #######################################

animal <- read.table("animais.txt", header=T, sep=";", dec=",")
animal
animal <- na.omit(animal)
animal
class(animal$brain)
class(animal$body)

#calculando a inclinao pela frmula
log.brain= log(animal$brain)
log.body = log(animal$body)
difx= (log.body - mean(log.body))
dify= (log.brain - mean(log.brain))
difx2=sum((log.body - mean(log.body))^2)

b= sum(difx*dify)/difx2
b

#simulando
resultado1 <- rep(NA, nsim)
resultado1[1] <- b
for(i in 2:1000){
  sim_brain = sample(animal$brain)
  difx.sim = (log.body - mean(log.body))
  dify.sim = (log(sim_brain) - mean(log(sim_brain)))
  difx2.sim =sum((log.body - mean(log.body))^2)
  
  b.sim= sum(difx.sim*dify.sim)/difx2.sim
  resultado1[i] <- b.sim
}
head(resultado1)
tail(resultado1)

#plotando
hist(resultado1)
abline(v=resultado1[1], col="red")                         

#calculando probabilidade: 
prob = sum(abs(resultado1) >= abs(resultado1[1]))/length(resultado1)
prob
#probabilidade 0.001 de ser encontrado aleatorio!logo  significativa a relao entre tamanho do corpo e do crebro!
