##Exercicios aula 05 - Grficos


#Exerccio 5.1- Editando alguns parmetros grficos

saligna <- read.table("esaligna.csv", header=T, sep=",")
head(saligna)
#plotagem e ajuste do grfico
plot(saligna$ht~saligna$dap, pch=16, bty="l",cex=1.4, ylab="Altura(m)",xlab="Dimetro  altura do peito(cm)", main="Eucalypthus saligna", tcl=0.3, las=1, cex.main=1.8, cex.lab=1.7, cex.axis=1.5, col="red")

#abrindo e criando o arquivo png
png(filename = "saligna.png") 
plot(saligna$ht~saligna$dap, pch=16, bty="l",cex=1.4, ylab="Altura(m)",xlab="Dimetro  altura do peito(cm)", main="Eucalypthus saligna", tcl=0.3, las=1, cex.main=1.8, cex.lab=1.7, cex.axis=1.5, col="red")
dev.off()

#Exerccio 5.2 - Dois grficos juntos

par(mfrow=c(1,2), pch=16, bty="l",cex=1.4, tcl=0.3, las=1, cex.lab=1.7, cex.axis=1.5)
boxplot(saligna$dap~saligna$talhao, xlab="talho", ylab="DAP")
text(locator(1), "a", cex=2)


media<- aggregate(saligna$dap,list(saligna$talhao), FUN=mean)
media 
media[1]
str(media)

desvio<- aggregate(saligna$dap, list(saligna$talhao), FUN=sd)
desvio


plot(x = media, type= "p", pch=16, xlab= "TALHAO", ylab="", xaxt="n", ylim=c(0,25))
axis(side=1, at=c(16,17,18,22,23,32), labels=c("16", "17", "18", "22", "23", "32"))
par(new=TRUE)
segments(x0=media[,1], y0=media[,2]-desvio[,2], x1=media[,1], y1=media[,2]+desvio[,2])
points(x=media[,1], y=media[,2]-desvio[,2],pch="-") 
points(x=media[,1], y=media[,2]+desvio[,2], pch="-")
text(locator(1), "b", cex=2)


#Exercicio 5.3 - Adivinhando o cdigo

dados<-read.table("exercicio3.csv", header=T, sep=",")
dados
head(dados)

dados$y2 		#tem categorias de 1 a 6 - ser eixo OX no boxplot
class(dados$y2)	#classe  integer
range(dados$y1, na.rm=TRUE)	#pelo max de y1  o OY do grfico de disperso
range(dados$x1, na.rm=TRUE) 	#Pelo max de x1, ele  o eixo OX do grfico de disperso

par(mfrow=c(1,2), bty="l", family="serif")
plot(dados$y1~dados$x1, xlim=c(0.5,2.5), ylim=c(0,3), xlab="Log(Patch Size)(ha)", ylab="Euclidean distances", pch=17)
modelo<- lm(dados$y1~dados$x1)
abline(modelo)
text(x=2.5, y=3, "a", cex=1.2)

y2=factor(dados$y2, labels=c("Small", "Medium\nEdge", "Medium\nInterior", "Large\nEdge", "Large\nInterior", "Control"))
y2

boxplot(dados$x2~y2, ylim=c(0,3),xlab="",ylab="", outline=F)
text(x=1, y=3, "*")
text(x=2, y=3, "*")
text(x=3, y=3, "**")
text(x=4, y=3, "*")
text(x=5, y=3, "***")
text(x=6, y=3, "b", cex=1.2)




