setwd("D:/OneDrive - ICMBio/IBUSP_R/BIE5782/exerc_5")
graphics.off()

###########exercicio 5.1
saligna<- read.table("http://ecologia.ib.usp.br/bie5782/lib/exe/fetch.php?media=dados:esaligna.csv", sep=",", header = T,  dec=".", as.is = T)
head(saligna)
str(saligna)
class(saligna)

X11()
plot(cex=1.4,#aumento em 40%
     x= saligna$dap, #x
     xlab= "Dimetro  altura do peito (cm)", #texto da legenda
     y= saligna$ht,  #y
     ylab= "Altura (m)", #texto da legenda
     pch=19, #bolinha preenchida
     col="red", #cor vermelha
     cex.axis=1.5, #valores das legendas x,y aumentada
     cex.lab= 1.7,  #ttulo das legendas x,y aumentado
     tcl=0.3, #tickmarks de 0.3 para dentro da grade (positivo para dentro e negativo para fora)
     las=1, #muda a posio da legenda
     bty="l",#boxtype em L
     main= "Eucalypthus saligna", #texto do ttulo
     cex.main= 1.8, #aumento da fonte do titulo
     font.main=3 #fonte do titulo em italico  
     )
savePlot("saligna.png",)

#####################################################
#5.2 Dois grficos juntos

####Os parametros de tamanho das legendas no foi seguido do exerccio anterior; foi readequado para melhor visualizao.
   par(mfrow= c(1,2),
       cex=1.4,#aumento em 40%
       pch=19, #bolinha preenchida
       cex.axis=1.1, #valores das legendas x,y aumentada
       cex.lab= 1.1,  #ttulo das legendas x,y aumentado
       tcl=0.3, #tickmarks de 0.3 para dentro da grade (positivo para dentro e negativo para fora)
       las=1, #muda a posio da legenda
       bty="l",#boxtype em L
       cex.main= 1.5, #aumento da fonte do titulo
       font.main=3)
   
   #primeiro grfico
   
   boxplot(saligna$dap~saligna$talhao, xlab= "Talho", ylab= "Dimetro  altura do peito (cm)")
   text(1,23,"a")
   
   #segundo grfico
   
   saligna$talhao.gr <- as.numeric(factor(saligna$talhao,labels = 1:length(unique(saligna$talhao))))
   c(1:6)[as.factor(saligna$talhao)] #### REMAP FACTOR VALUES - alternativamente
   
   plot(saligna$dap~saligna$talhao.gr, 
        xlab= "Talho", 
        ylab= "DAP  SD", 
        xaxt="n",
        type="n")   
   
   mean<-tapply(saligna$dap, saligna$talhao.gr, mean)
   sd_pos<-mean+(tapply(saligna$dap, saligna$talhao.gr,sd))
   sd_neg<-mean-(tapply(saligna$dap, saligna$talhao.gr,sd))
   
   talhao<-as.numeric(rownames(data.frame(mean)))
   
   segments(x0=talhao, y0=sd_neg, x1=talhao, y1=sd_pos)
   points(x=talhao, y=sd_pos, col="black", pch="-")
   points(x=talhao, y=sd_neg, col="black", pch="-")
   points(x=talhao, y=mean, col="red")
   
   text(6,23,"b")
   
   axis(side=1, #inclui um eixo no 
        at = talhao,
        labels= sort(unique(saligna$talhao)))

##########################################################################
#5.3 Adivinhando o cdigo

xy<- read.table("http://ecologia.ib.usp.br/bie5782/lib/exe/fetch.php?media=bie5782:01_curso2009:material:exercicio3.csv", sep=",", header=T, dec=".", as.is=T)
head(xy)
str(xy)

par(mfrow= c(1,2),
    cex=1.4,#aumento em 40%
    cex.lab= 1,  #ttulo das legendas x,y aumentado
    tcl=0.3, #tickmarks de 0.3 para dentro da grade (positivo para dentro e negativo para fora)
    las=1, #muda a posio da legenda
    bty="l",#boxtype em L
    cex.main= 1.5, #aumento da fonte do titulo
    font.main=3)

#primeiro grfico

plot(xy$y1~xy$x1, xlab= "Log(Patch size)(ha)", ylab= "Euclidean Distance", pch=17, xlim=c(0.5,3.0), ylim=c(0.0,3.0))
abline(lm(xy$y1~xy$x1))

text(x=3, y=3, "a")


#segundo grfico

plot(x=c(1,2,2.90,3.1,4,4.8,5,5.2),
     xlab= "", 
     xlim= c(0.0,7.0),
     y= rep(3,8),
     ylim= c(0,3),
     ylab= "", 
     xaxt="n", 
     pch="*")   

par(new=T)#para incluir o boxplot no mesmo plot

boxplot(xy$x2~xy$y2, 
        outline=F,# retira a linha do outlier
        ylim=c(0.0,3.0),
        xlab="",
        ylab="",
        xaxt="n")

text(y=3,x=6.5, "b")

axis(side=1, at=(1:6), labels = c("Small", "Median \n Edge", "Median \n Interior","Large \n Edge","Large \n Interior","Control"), cex.axis=0.5 )

#####