####Exercicios modulo 9
##9.2 Exerccio Anlise exploratria simultnea de duas variveis

plot.var<- function(x,y, tipo="", col=c(1,2), pch=c(17,19), xlab="Varivel X", ylab= "Varivel Y", bty="l", method = c("pearson", "kendall", "spearman"))
{
#Teste de premissas:
if(length(x)!= length(y))
{
  stop("x e y devem ter o mesmo comprimento") 
}
#Teste de correlao
corxy<- cor(x,y, method=method)

#seleo de grficos 
if(tipo==""|tipo=="plot")
{
       plot(x~y, 
       col=col, 
       pch=pch, 
       xlab=xlab, 
       ylab=xlab)   
}

 if(tipo=="boxplot")
{
  par(bty="l")
  boxplot(x,y, col=col, xaxt="n")  
  axis(side=1, at=c(1,2), labels=c(xlab, ylab), tick = 1)
 }

if(tipo=="qqnorm")
{
  qqnorm(x, col=col[1], pch=pch[1], main=NULL, xlab = "Quantis tericos", ylab= "Quantis da amostra", xlim=c(-2,2), ylim=c(-2,2))
  legend(x=-2, y=2, legend=c(xlab, ylab), col=col, pch=pch, cex=0.7)
  par(new=T)
  qqnorm(y, yaxt="n", col=col[2], pch=pch[2], xlab="" , ylab="", main = "", xlim=c(-2,2), ylim=c(-2,2))
  par(new=F)
  
}
if(tipo=="histograma")
{
  require(plotrix)
  plotrix::multhist(list(x,y),col=col)  
}
  return(list=list(sumario.x=summary(x), sumario.y=summary(y), correlacao.xy=corxy))
} 


x<- rnorm(36,7,33)
y<- runif(36)
plot.var(x,y, col=c(5,6), tipo="histograma", method = "spearman")
plot.var(x,y, col=c(5,6), tipo="plot")
plot.var(x,y, col=c(5,6), tipo="boxplot")
plot.var(x,y, col=c(5,6), tipo="qqnorm")
plot.var(x,y, col=c(5,6), tipo="")




