#106.2 ANOVA na unha
mudas <- read.table("altura-mudas.csv", header = T, sep=",", dec=".")
mudas


str(mudas)

#Separe apenas os dados referentes  espcie "tamboril" em um objeto chamado tamboril
(tamboril <- subset(mudas, mudas$especie =="tamboril")) 

#Calcule a mdia de todas as alturas de tamboril
(mediat <- mean(tamboril$altura))

#Crie um objeto chamado ss.total com a somatria do desvio quadrtico total dos dados.
(dif.geral <- tamboril$altura - mediat)
(ss.total=sum(dif.geral^2))

#Calcule a mdia de alturas para cada substrato
(media_subs <- tapply(tamboril$altura,tamboril$substrato,mean))
substratos <- seq(1:10)
media_por_subs <- data.frame(substratos,media_subs)

#Crie um objeto chamado ss.intra com a somatria do desvio quadrtico intra-grupos (dica: a funo rep() pode ser sua amiga)
#(dif.por.substrato <- tamboril$altura-media_por_subs)
ss.intra <- sum((rep(c(media_por_subs$media_subs), each=6) - tamboril$altura)^2)
ss.intra

#Crie um objeto chamado ss.entre com a somatria do desvio quadrtico entre grupos (lembre de levar em conta as diferentes rplicas)
ss.entre <- 6*sum((media_por_subs$media_subs - mediat)^2)
ss.entre

#O nmero de graus de liberdade (gl) total  o total de amostras realizadas menos um. 
#O nmero de gl entre grupos  o nmero de grupos menos um. 
#E o nmero de gl intra-grupos  a diferena entre eles. 
#Calcule o desvio mdio intra grupos dividindo o ss.intra pelo gl intra, 
#e o desio mdio entre grupos dividindo o ss.entre pelo gl entre.
#graus de liberdade total 59 (60-1)
#graus de liberdade entre 9 (10-1)
#graus de liberdade intra 50 (59-9)

desvio.medio.intra <- ss.intra/50
desvio.medio.intra

desvio.medio.entre <- ss.entre/9
desvio.medio.entre

#Guarde a razo entre os desvios mdios entre e intra no objeto razao
razao <- desvio.medio.entre/desvio.medio.intra
razao

#Guarde a probabilidade dessa diferena ser devida ao acaso no objeto prob
prob <- pf(razao,df1=9,df2=50, lower.tail=FALSE)
prob

#Qual  a porcentagem da variao na altura das mudas explicada pela diferena no substrato? Guarde essa porcentagem no objeto porc (e lembre que porcentagem vai de 0 a 100!).
porc <- (ss.entre/ss.total)*100
porc


#parte da tabela
#Varivel medida: altura
#Fator de interesse: substrato
#Cada dado  replicado 6x


#Verifique a estrutura dos seus dados. Qual  a varivel medida e qual  o fator de interesse? Quantas rplicas existem para cada dado? 
#Faa grficos mostrando os dados e os desvios relacionados s amostras e aos substratos (variao total, intra-grupos e entre-grupos). 
plot(c(1:length(tamboril$altura)),tamboril$altura, pch=14+c(tamboril$substrato),col=tamboril$substrato,xlab= "",ylab="Altura (m)",main= "Variao total")
abline(h= mediat)
segments(y0=tamboril$altura,x0=c(1:length(tamboril$altura)),y1=rep(mediat,length(tamboril$altura)),x1=c(1:length(tamboril$altura)),col=tamboril$substrato)


#Variao intra-grupos
plot(c(1:length(tamboril$altura)),tamboril$altura,pch=14+c(tamboril$substrato),col=tamboril$substrato,xlab= "",ylab="Altura (m)",main= "Variao intragrupos")

segments(x0= round(seq(1,59, by=6)),
         x1= seq(6,60,by=6 ),
         y0= media_por_subs$media_subs, 
         y1= media_por_subs$media_subs, 
         col= c(1:10))

for (i in 1:60)
{
  lines(c(i,i), 
        c(tamboril$altura[i],
          (rep(media_por_subs$media_subs, each = 6)[i])),
        col=tamboril$substrato[i])
}

### entre-grupos

plot(x= c(1:length(tamboril$altura)),
     y= rep(media_por_subs$media_subs, each=6), 
     pch=14+c(tamboril$substrato),
     col=tamboril$substrato,
     xlab= "",
     ylab="Altura (m)", 
     main= "Variao intragrupos"
)

abline(h= mean.total) #media geral

for (i in 1:60)
{
  lines(c(i,i), 
        c((rep(media_por_subs$media_subs, each = 6)[i]), mediat),
        col=tamboril$substrato[i])}
  #(No entregue essa parte no notaR)
