#4.2 Cervejas
cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa",
             "lata","chope","nenhuma", "garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata")

par(mfrow=c(1,2))
dotchart((sort(table(cervejas))), xlim=c(0,14))
barplot((sort(table(cervejas))), ylim=c(0,14))

#Qual tem maior razo dado/tinta?
#O dotchart apresentou melhor os dados de uma forma mais clara (com menos tinta). 

#4.3 Caixetais

caixeta <- read.csv("caixeta.csv", as.is=T) 


#Construa um histograma do dap1) dos fustes dos caixetais.

dap<-pi*caixeta$cap
hist(dap)

#Construa histogramas da altura das rvores para os diferentes caixetais ('local').

caixeta_local <- table(caixeta$local, caixeta$h)
par(mfrow=c(2,2))
hist(caixeta_local[1,],xlab="Chauas", main="")
hist(caixeta_local[2,],xlab="Juria", main="")
hist(caixeta_local[3,],xlab="Retiro", main="")

#H diferenas entre as estruturas (distribuio de tamanhos) dos caixetais?
#No geral, sao bem parecidos. Chauas e Retiro possuem distribuicao muito proximas, j Juria, embora aina seja semelhante, que possui uma distribuicao ligeiramente diferente, sem algumas alturas. 

#4.4 Eucaliptos

egrandis <- read.table("egrandis.csv", header=T, sep=";")


#Utilize o grfico boxplot para analisar o DAP de rvores de E. grandis em funo das variveis regio (regiao) e rotao (rotacao).

par(mfrow=c(1,2))
boxplot(dap~regiao, data=egrandis,ylim=c(0,25))
boxplot(dap~rotacao, data=egrandis,ylim=c(0,25))

#Avalie a normalidade da altura do conjunto total de rvores com um grfico quantil-quantil contra a distribuio normal

par(mfrow=c(1,1))
qqnorm(egrandis$ht)
qqline(egrandis$ht, col="red", lwd=2)
#Os dados no so normais

#4.5 Mais Caixetais
#Analise a relao dap-altura ('dap' e 'h') em funo do caixetal (local) com a funo plot, mas somente para as rvores 2) de caixeta (Tabebuia cassinoides).

xyplot(dap ~h,group=local,data=caixeta,subset=especie=="Tabebuia cassinoides", main="Tabebuia cassinoides")

#Para a mesma relao do item anterior, verifique linearidade com a funo scatter.smooth

scatter.smooth(dap~caixeta$h)

scatter.smooth(dap~h|local, data=caixeta)
scatter.smooth(dap ~caixeta$h)

#Utilizando o pacote lattice, analise a relao dap-altura ('dap' e 'h') em funo do caixetal (local), mas somente para as rvores 3) de caixeta (Tabebuia cassinoides).
library(lattice)