eutad<-read.table("palmadulto.txt", header = T, sep="")
head(eutad)
dist<-matrix(NA, ncol=102, nrow=102)

for(i in 1:101)
{
  for(j in (i+1):102)
  {
    difx2=(eutad$gx[i]-eutad$gx[j])^2
    dify2=(eutad$gy[i]-eutad$gy[j])^2
    dist[i,j]<-sqrt(difx2 + dify2)
    dist[j,i]<-sqrt(difx2 + dify2)
  }
  
}

dist

(nn<-apply(dist, 1, min, na.rm=TRUE))
(mnn<-mean(nn))

#1.5

resultado<-rep(NA,1000)

#1.6
resultado[1]<-mnn

#1.7 ao 1.8.5
for(k in 2:1000)
{
  print(k)
  {
   xsim <- round(runif(102, 0, 320), digits =  1)
   ysim <- round(runif(102, 0, 320), digits= 1)
   mxy <- matrix(NA, ncol=102, nrow=102) 
    for(i in 1:101){
      for(j in (i+1):102){
        difx2 <- (xsim[i]-xsim[j])^2
        dify2 <- (ysim[i]-ysim[j])^2
        mxy[i,j] <- sqrt(difx2 + dify2) #pitagoras soma dos ^2 dos catetos=^2 da hip
        mxy[j,i] <- sqrt(difx2 + dify2) #pitagoras
      }
    }
    resultado[k] <- mean(apply(mxy, 1, min, na.rm=TRUE))
  }}
#1.9
hist(resultado)
abline(v=resultado[1], lty=2, col="red")



#1,10
diffresultado<-resultado-mean(resultado)
hist(diffresultado)
abline(v=diffresultado[1], lty=2, col="red")

nmaior<-sum(abs(diffresultado)>=abs(diffresultado[1]))
pvalor<-nmaior/length(diffresultado)


#Exerccio 2 - Simulando o teste de uma regresso linear
#2.1
massa<-read.table("animais.txt", sep=";", dec=",", header=T, as.is=T)
str(massa)
massa<-na.omit(massa)
massa

logbody<-log(massa$body)
logbrain<-log(massa$brain)

#calculando a inclinacao 
parentese1<-logbody-mean(logbody)
parentese2<-logbrain-mean(logbrain)

inclinacao<-sum(parentese1*(parentese2))/sum(parentese1^2)

#2.2
simulacoes<-rep(NA, 1000)
#2.3
simulacoes[1]<-inclinacao

for (i in 2:1000)
{
  sim_brain <- sample(massa$brain) 
  simulacoes[i] <- sum((massa$body-mean(massa$body))*(sim_brain-mean(sim_brain))/
                     sum((massa$body-mean(massa$body))^2))
}

hist(simulacoes)
abline(v = simulacoes[1], col="red")

p <- sum(simulacoes>=simulacoes[1])/length(simulacoes)
p
