##5.1 Editando alguns parmetros grficos
saligna<-read.table("esaligna.csv", header=T, sep=",")
head(saligna)
Graph1<-plot(x=saligna$dap,y=saligna$ht, cex=1.4, pch=19, col="red", xlab=" Dimetro  altura do peito (cm)",ylab="Altura (m)",
             cex.lab=1.5,cex.axis=1.7, tcl=0.3, las=1,bty="L", main="*Eucalypthus saligna*", cex.main=1.8)

png(filename = "saligna.png")


#5.2 Dois grficos juntos

class(saligna$talhao)
saligna$talhao<-as.factor(saligna$talhao)

media<-tapply(saligna$dap,saligna$talhao,mean)
sd<-tapply(saligna$dap,saligna$talhao,sd)
desviopos<-round(media+sd)
desvionerg<-round(media-sd)

par(mfrow=c(1,2),cex=1.4, pch=19,cex.lab=1.5,cex.axis=1.7, tcl=0.3, las=1,bty="L",mar=c(3,5,3,3))
boxplot(saligna$dap,saligna$talhao, xlab="Talho", ylab="Dap",ylim=c(0,30),xlim=c(0,3))
plot(media, xlab="Talho", ylab="mdia dap", ylim=c(0,30), xlim=c(1,6)) 

segments(x0=1, y0=7, x1=1, y1=14)
segments(x0=2, y0=7, x1=2, y1=19)
segments(x0=3, y0=7, x1=3, y1=16)
segments(x0=4, y0=10, x1=4, y1=21)
segments(x0=5, y0=8, x1=5, y1=19)
segments(x0=6, y0=7, x1=6, y1=19)

mtext(c("a"),cex=3,at=locator())
mtext(c("b"),cex=3, at=locator())

#Exercicio 5.3
dados<-read.table("exercicio5.3.csv",  header = T,sep = ",")
head(dados)
summary(dados)
str(dados)

par(mfrow=c(1,2),cex.lab=1.3, tcl=0.3,las=1,bty="l")
plot(dados$x1,dados$y1, xlim=c(0.5,3.0), ylim=c(0.0,3.0),xlab="Log(Patch size)(ha)", ylab="Euclidean distances",pch=17)
abline(lm(dados$y1~dados$x1), col="black")
mtext(c("a"),cex=2,at=locator())

boxplot(dados$x2,dados$y2, xaxt="n", ylim=c(0,3), outline=FALSE)
text(x=6.5,y=3, "b", cex=2, family="serif")
axis(side=1,at=c(1,2,3,4,5,6),labels= c("Small\n","Medium\n Edge","Medium\n Interior","Large\n Edge","Large\n Interior","Control\n"), mgp=c(1.6,1.6,0)) 
mtext(c("b"),cex=2,at=locator())

