
#Crie uma funcao para saida grafica de analises exploratorias de duas variaveis, essa saida pode ter boxplot,
#histograma, qqnorm, e y por x. A funcao deve permitir a entrada de dois objetos vetores de mesmo tamanho
#(x e y). Caso os valores de x e y forem desenhados em um mesmo grafico, defina cores diferentes. As legendas
#devem ser em portugues e a saida (return) deve apresentar o sumario das duas variaveis e o coeficiente de 
#correlacao.

analise<-function(x,y, mypar=par(mar=c(4,4,2,2)))
{
  if(class(x)!="numeric"|class(y)!="numeric") #se x ou y diferente (!=) de vetor -> stop
  {stop("nao sao vetores")}
  if(length(x)!=length(y))
  {stop("tamanhos diferentes")} #se x e y tiverem tamanhos diferentes (!=) -> stop
  par(mypar)
  boxplot(x,y)
  resultado<-list(summary (x),summary (y), cor (x,y)) #cor (funcao para extrair os coeficientes de correlacao)
  names(resultado)=c("sumario x", "sumario y", "coeficiente de correlacao")
  return(resultado)
}

x<-c(10,20,30,40,50,60)
y<-c(1000,200,300,400,500,600)
analise(x,y)

