###################
####Exerccio 05###
#### Monalisa #####
###################

#Exerccio 5.1
#Carregando os dados:
getwd()
setwd("C:\\Users\\windows\\Documents\\MEGA\\Doutorado\\Disciplinas\\R\\04_graficos")
saligna<-read.table("esaligna.csv",header=T,sep=",")
str(saligna)
saligna

#5.1.Editando alguns parmetros grficos
png(filename = "saligna.png") #criando o arquivo no diretrio de trabalho
par(mfrow=c(1,1),las=1)
plot(saligna$dap,saligna$altura,pch=19,cex=1.40, col="red",
     xlab="Dimetro  altura do peito (cm)",
     ylab="Altura (m)",
     cex.sub=1.5,cex.lab=1.7,
     tcl=0.3, 
     bty="l", 
     main="Eucalypthus saligna", cex.main= 1.80)

#Salvando o arquivo no diretrio de trabalho
dev.off()

#######################################################################################

#5.2 Dois grficos juntos
par(mfrow=c(1,2),mar=c(5,4.5,4.5,5),las=1)

#Grafico1
boxplot(saligna$dap~saligna$talhao,col="red",
        xlab="Talho",
        ylab="Dimetro  altura do peito (cm)",
        cex.sub=1.5,cex.lab=1.7,
        tcl=0.3,
        bty="l", 
        main="Eucalypthus saligna",cex.main= 1.80)
legend("bottomright", "a", title= "",bty="n")


#Grafico2
#Calculando as mdias e os desvios
mean=tapply(saligna$dap,saligna$talhao,mean)
sd=tapply(saligna$dap,saligna$talhao,sd)

#Incorporando a variao dos dados em torno da mdia
sd.mais=mean+sd
sd.menos=mean-sd

max(sd.mais) #amplitude do eixo dap: maior valor
min(sd.menos) #amplitudo do eixo dap: menor valor

#Montando o grfico
plot(x=NULL,y=NULL, xlim=c(1,6), ylim=c(0,25),type="n", xaxt="n",xlab="",ylab="") 

axis(side=1, at=(1:6),labels=c("Talho16", "Talho17", "Talho18", "Talho22", "Talho23", "Talho32"),las=2) #eixos laterais

segments(x0=c(1:6), y0=sd.menos, x1=c(1:6), y1=sd.mais) #plotando os desvios

points (y=mean,x=(1:6), pch=19,col="red") #plotando as mdias

legend("bottomright", "b",title= "",bty="n")

#######################################################################################

#5.3 Adivinhando o cdigo
#Leia os dados deste arquivo e usando as variveis "x1" e "y1" e "x2" e "y2" tente reproduzir esta figura:

dados = read.table("adivinhe_o_codigo.csv",header=T,sep=",")
head(dados)
par(mfrow=c(1,2),las=0,bty="l")

plot(dados$y1~dados$x1,pch=17,ylim=c(0.0,3.0),xlim=c(0.5,2.0),
     xlab="Log(Patch size)(ha)",ylab="Euclidean distances")
text(2,3.0,"a")
abline(lm(dados$y1~dados$x1,data=dados))


boxplot(dados$x2~dados$y2,xaxt="n")
axis(side=1,at=c(1:6),
    labels=c("Small","Medium\n Edge","Medium\n Interior","Large\n Edge","Large\n Interior","Control"),
     cex.axis=0.3
    )
mtext(side = 3,at=6.0,"b")
mtext("*", side=3, line=0, at=c(1,2,4),cex=1.3)
mtext("**", side=3, line=0, at=3,cex=1.3)
mtext("***", side=3, line=0, at=5,cex=1.3)
