#Ex.Aula4
#CERVEJAS
cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa","lata","chope","nenhuma", "garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata")
#Represente este resultado como um grfico de barras e um dotplot (funo dotchart).
cervejas.tabela = table(cervejas)
cervejas.tabela
barplot(cervejas.tabela)
dotchart(cervejas.tabela)


#Qual tem maior razo dado/tinta?
#os boxplots.

#CAIXETAIS
caixeta = read.table("caixeta.csv", sep = ",",as.is=T, header = T)
str(caixeta)
head(caixeta)
tail(caixeta)
summary(caixeta)
#onstrua um histograma do dap1) dos fustes dos caixetais.
caixeta$dap = caixeta$cap/pi
hist(caixeta$dap)
#Construa histogramas da altura das rvores para os diferentes caixetais ('local').
hist( caixeta$h[ caixeta$local == "chauas" ] )
hist( caixeta$h[ caixeta$local == "jureia" ] )
hist( caixeta$h[ caixeta$local == "retiro" ] )

#H diferenas entre as estruturas (distribuio de tamanhos) dos caixetais?
#Jureia e Retiro so mais parecidos entre si do que Chauas.

#E.GRANDIS
egrandis = read.table("egrandis.csv", header = T, sep = ";", dec = ".")
str(egrandis)
head(egrandis)
tail(egrandis)
summary(egrandis)
#Utilize o grfico boxplot para analisar o DAP de rvores de E. grandis em funo das variveis regio (regiao) e rotao (rotacao).

?boxplot
boxplot(egrandis$dap,subset = egrandis$rotacao)
boxplot(egrandis$dap,subset = egrandis$regiao)
#Avalie a normalidade da altura do conjunto total de rvores com um grfico quantil-quantil contra a distribuio normal.
qqnorm(egrandis$ht)
qqline(egrandis$ht)
#A distribuio tem uma cauda superior, no sendo normal.

#CAIXETAIS 2
#Analise a relao dap-altura ('dap' e 'h') em funo do caixetal (local) com a funo plot, mas somente para as rvores 2) de caixeta (Tabebuia cassinoides).
caixeta = read.table("caixeta.csv", sep = ",",as.is=T, header = T)
str(caixeta)
head(caixeta)
tail(caixeta)
summary(caixeta)
caixeta$dap = caixeta$cap/pi
chauas = subset(caixeta, caixeta$local=="chauas")
chauas
jureia = subset(caixeta, caixeta$local=="jureia")
jureia
retiro = subset(caixeta, caixeta$local=="retiro")
retiro
par(mfrow = c(1,3))
# DUVIDA PARA INCLUIR A ARVORE with(chauas[(chauas$especie == "Tabebuia cassinoides",)]) 
plot(chauas$dap ~ chauas$h, ylab = "DAP", xlab = "Altura", main = "Chauas")
plot(retiro$dap ~ retiro$h, ylab = "DAP", xlab = "Altura", main = "Retiro")
plot(jureia$dap ~ jureia$h, ylab = "DAP", xlab = "Altura", main = "Jureia")
#Para a mesma relao do item anterior, verifique linearidade com a funo scatter.smooth
scatter.smooth(chauas$dap ~ chauas$h, ylab = "DAP", xlab = "Altura", main = "Chauas")
scatter.smooth(retiro$dap ~ retiro$h, ylab = "DAP", xlab = "Altura", main = "Retiro")
scatter.smooth(jureia$dap ~ jureia$h, ylab = "DAP", xlab = "Altura", main = "Jureia")


#Utilizando o pacote lattice, analise a relao dap-altura ('dap' e 'h') em funo do caixetal (local), mas somente para as rvores 3) de caixeta (Tabebuia cassinoides).
library(lattice)
xyplot( caixeta$altura ~ caixeta$dap | caixeta$local , data=caixeta, xlab="Altura", ylab="DAP", main="Tabebuia cassinoides" )

