#Exercicio5
#5.1 Editando alguns parmetros grficos
#Leia os dados Conjunto de Dados: Biomassa de rvores de Eucalyptus saligna em um objeto chamado saligna
saligna = read.table("esaligna.csv", sep = ",", dec = ".",header = TRUE)
str(saligna)
head(saligna)
tail(saligna)
summary(saligna)
#GRAFICO
x11()
par(mfrow=c(1,1))
plot(saligna$ht~saligna$dap, bty="l", tcl=0.3,
     main = "Eucalypthus saligna", cex.main = 1.8,
     xlab = "DAP", cex.axis = 1.5,
     ylab = "Altura",  cex.lab =1.7,
     pch = 16, cex = 1.4,col="red")

savePlot(filename = "saligna.png", type = "png")
#Salve o grfico no formato png no arquivo saligna.png no diretrio de trabalho atual.



#5.2 Dois grficos juntos
#transformar talhao em fator
as.factor(saligna$talhao)
?factor
class(saligna$talhao)
#criacao de dataframe com medias e desvios
media.dap.talhao = aggregate(saligna$dap,by = list(saligna$talhao), FUN = mean)
media.dap.talhao
desvio.dap.talhao = aggregate(saligna$dap,by = list(saligna$talhao), FUN = sd)
desvio.dap.talhao 
#criacao de objetos para plotar os pontos e segmentos
c = media.dap.talhao$x-desvio.dap.talhao$x
c
d = media.dap.talhao$x+desvio.dap.talhao$x
d
talhao = c(16,17,18,22,23,32)
prabaixo =c(6.63,6.96,7.36,9.89,8.43,6.86)
pracima = c(14.1,19,15.89,20.86,18.74,19.43)

#graficos
x11()
par(mfrow=c(1,2))
boxplot(saligna$dap~saligna$talhao, bty="l", tcl=0.3,
        main = "Eucalypthus saligna", cex.main = 1.8,
        xlab = "Talhao", cex.axis = 1.5,
        ylab = "DAP",  cex.lab =1.7,
        pch = 16, cex = 1.4)
plot(media.dap.talhao$Group.1,media.dap.talhao$x,
     xlim = c(10,35),ylim = c(0,30),
     segments(x0 = talhao, x1 = talhao, y0 = pracima, y1 = prabaixo, ylim=15),
     xlab = "Talhao", cex.axis = 1.5,
     ylab = "Medias",  cex.lab =1.7,
     pch = 16, cex = 1.4)
#locator(2)
text(x=-32,y= 30,"a")
text(x=12,y= 30,"b")



#Ex.3 ADIVINHANDO OS CDIGOS
dados = read.csv("exercicio3.csv", sep = ",", dec = ".", header = TRUE)
dados
str(dados)
head(dados)
tail(dados)
summary(dados)

##objetos previos
#reta grafico 1
mod.linear = lm(dados$y1~dados$x1)
mod.linear
#transformando y2 em fator
dados
as.factor(dados$y2)
class(dados$y2)
dados$y2
#substituindo os na
dados[is.na(dados)] <- 0
dados
#criando uma nova coluna com os nomes do eixo x pro grafico 2
nomes = c(rep("Small",6),rep("Medium edge",4), rep("Medium interior",8), rep("Large edge",4), rep("Large interior",5), rep("Control",4))
nomes
library(tibble)
dados = add_column(dados, nomes, .after = 4)
dados
#locator(1)

#graficos
x11()
par(mfrow=c(1,2))
plot(dados$y1~dados$x1, bty="l", tcl=0.3,
     xlim = c(0.5,2.0),ylim = c(0,3.0),
     xlab = "Log (Patch size) (ha)", cex.axis = 1.5,
     ylab = "Euclidean distances",  cex.lab =1.7,
     pch = 17, cex = 1.4,col="black")
abline(mod.linear)
text(x=2,y= 3,"a")
boxplot(dados$x2~dados$nomes, 
        par(bty="l"),
        par(tcl=0.3),
        ylab = NULL,
        xlab = NULL, cex.axis = 1,
        levels = c("Small","Medium edge","Medium interior","Large edge","Large interior","Control"))
text(x=4, y=3, "b")

#PARA INSERIR OS * usando locator(8)
#os * representam significncia?
#o r plotou as categorias por ordem alfabetica (e algumas no aparecem pelo tamanho)
#como mudar isso? tentei usando levels e no funcionou
#levels(
#necessario mudar a fonte dos grficos





