#Exercicio 9.2
library(plotrix)

explora = function(x,y){
  par(mfrow = c(2,2), bty = "l", mar=c(4,4,2,2))
  #premissas
  if(length(x) != length(y)){
    stop("X e Y nao tem o mesmo comprimento")
  }
  #cores das variáveis
  cx = rgb(0,1,0.5,0.7)
  cy = rgb(0,0.5,1,0.7)
  cor = c(cx,cy)
  xy = cor(x,y)
  
  #primeiro plot = MultiHistogrma 
  multhist(list(x,y),col = cor, freq = F)
  
  #segundo plot = BOXPLOT
  boxplot(list(x,y), col = cor , names = c("X", "Y"))
  
  #terceiro plot = QQPLOT
  plot(ppoints(sort(x)), sort(x), col = cx, ylab = "Quantis da amostra", xlab = "Quantis teoricos")
  points(ppoints(sort(y)), sort(y), col = cy)
  
  #quarto plot = correlacoes
  plot(x, y)
  mtext(as.character(round(xy,3)))
  abline(lm(y~x), col ="red")
  
  return(list(summary(x), summary(y)))
}