##EXERCICIO 6.2

#cria um modelo linear que relaciona tamanho do cerebro em funcao do tamanho do corpo, retirando os namais onde o log do tamanho seja maior que 8 e o log do tamanho do cerebro seja menor que 6
anim.m2 <- lm(log(brain)~log(body),data=Animals, 
              subset=!(log(Animals$body)>8&log(Animals$brain)<6))

#criando um modelo nulo
anim.m0 <- lm(log(brain)~1, data=Animals, subset=!(log(Animals$body)>8 & log(Animals$brain)<6))
anova(anim.m0, anim.m2)
##compara modelo nulo com modelo construdo: o modelo 2 explica a 270 mais variao dos dados, menor RSS determina melhor modelo, a probabilidade de encontrar essa nuvem de dados  pequena, logo significativa. 

anova(anim.m2)
#o comando anova(anim.m2) dar uma tabela igual a comparao dos modelos, j que o modelo comparado era o modelo nulo. Assim, a primeira linha (log(body)) tem os mesmos dados do modelo 2, indicando o quanto da varincia esse modelo explica, e o residuals corresponde ao modelo 1. 

summary(anim.m0) #trs o resumo da funo lm do modelo nulo

mean(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)])) #o intercepto do modelo nulo ser o mesmo da mdia dos dados a ele realcionados, uma vez que o modelo nulo  uma linha horizontal no qual o y  a media do log do tamanho dos crebros

sd(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)])) #o erro padrao do modelo nulo ser igual ao desvio padrao dos dados a ele relacionados, j que  o desvio de cada um dos dados em relao a uma linha reta horizontal com y na mdia dos dados. 

anim.m0 <- update(anim.m2, .~. -log(body))
anim.m0
