rm(list=ls())
##4.2 Cervejas
#Uma amostra de 30 estudantes foi indagada sobre seu tipo de cerveja preferida, com o seguinte resultado
#1.
cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa","lata","chope","nenhuma", "garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata")
barplot(table(cervejas))
dotchart(table(cervejas))
#2. Barplot

####################################
#4.3 Caixetais
caixeta<-read.table("http://ecologia.ib.usp.br/bie5782/lib/exe/fetch.php?media=dados:caixeta.csv", h=T, sep=",")



#1.Construa um histograma do dap1) dos fustes dos caixetais.
caixeta$dap<- caixeta$cap/pi
hist(caixeta$dap)

#2.Construa histogramas da altura das árvores para os diferentes caixetais ('local').
hist1<-hist(caixeta$h[caixeta$local == unique(caixeta$local)[1]], breaks = 15)
hist2<-hist(caixeta$h[caixeta$local == unique(caixeta$local)[2]], breaks = 15)
hist3<-hist(caixeta$h[caixeta$local == unique(caixeta$local)[3]], breaks = 15)

#3.Há diferenças entre as estruturas (distribuição de tamanhos) dos caixetais?
#R - Sim, ao observar os hist1, 2 e 3 as distribuições de frequencia das alturas descrevem curvas e limites bem diferentes.


############################################
#4.4 Eucaliptos

#Utilize o gráfico boxplot para analisar o DAP de árvores de E. grandis em função das variáveis região (regiao) e rotação (rotacao).
egrandis<- read.table("http://ecologia.ib.usp.br/bie5782/lib/exe/fetch.php?media=dados:egrandis.csv", sep=";",header = T)
str(egrandis)

boxplot(egrandis$dap~egrandis$regiao+egrandis$rotacao)

#Avalie a normalidade da altura do conjunto total de árvores com um gráfico quantil-quantil contra a distribuição normal.
qqnorm(egrandis$ht)
qqline(egrandis$ht) #a distruibuição não é normal de acordo com o gráfico. Os pontos não tem alinhamento com a linha.

####################################
#4.5 Mais Caixetais
#1.Analise a relação dap-altura ('dap' e 'h') em função do caixetal (local) com a função plot, mas somente para as árvores 2) de caixeta (Tabebuia cassinoides).
#install.packages("lattice")
library(lattice)

caixeta$AB<-pi*(caixeta$dap/2)^2#calcular area basal das fustes em caixeta
cax_AB<- aggregate(caixeta$AB,list(caixeta$arvore,caixeta$h,caixeta$especie,caixeta$local),sum) # indexando pela arvore, sum areas basais, 
names(cax_AB)<- c("arvore","h","especie","local","AB")
cax_AB$dap<- 2*sqrt(cax_AB$AB/pi) #criar na tabela um campo de DAP, nesse atribuir valores de 
head(cax_AB)

plot(cax_AB$dap[cax_AB$local=="chauas"][cax_AB$especie=="Tabebuia cassinoides"]~cax_AB$h[cax_AB$local=="chauas"][cax_AB$especie=="Tabebuia cassinoides"],xlab="Altura (cm)",ylab= "DAP (cm)")
plot(cax_AB$dap[cax_AB$local=="retiro"][cax_AB$especie=="Tabebuia cassinoides"]~cax_AB$h[cax_AB$local=="chauas"][cax_AB$especie=="Tabebuia cassinoides"],xlab="Altura (cm)",ylab= "DAP (cm)")
plot(cax_AB$dap[cax_AB$local=="jureia"][cax_AB$especie=="Tabebuia cassinoides"]~cax_AB$h[cax_AB$local=="chauas"][cax_AB$especie=="Tabebuia cassinoides"],xlab="Altura (cm)",ylab= "DAP (cm)")


#2.Para a mesma relação do item anterior, verifique linearidade com a função scatter.smooth

scatter.smooth(cax_AB$dap[cax_AB$local=="chauas"][cax_AB$especie=="Tabebuia cassinoides"]~cax_AB$h[cax_AB$local=="chauas"][cax_AB$especie=="Tabebuia cassinoides"],xlab="Altura (cm)",ylab= "DAP (cm)")
scatter.smooth(cax_AB$dap[cax_AB$local=="retiro"][cax_AB$especie=="Tabebuia cassinoides"]~cax_AB$h[cax_AB$local=="chauas"][cax_AB$especie=="Tabebuia cassinoides"],xlab="Altura (cm)",ylab= "DAP (cm)")
scatter.smooth(cax_AB$dap[cax_AB$local=="jureia"][cax_AB$especie=="Tabebuia cassinoides"]~cax_AB$h[cax_AB$local=="chauas"][cax_AB$especie=="Tabebuia cassinoides"],xlab="Altura (cm)",ylab= "DAP (cm)")

#3
xyplot(cax_AB$dap~cax_AB$h|cax_AB$local[cax_AB$especie=="Tabebuia cassinoides"])

####################################



