#######################################
#AULA MODELOS LINEARES
#Exerccios

#Professor e monitores: 
#As respostas s questes esto indicadas por ###R.: com um espao de tabulao. Isso pode ajudar a localiz-las no cdigo. 

#######################################
####  EXERCICIO 7.1
alt.2<-c(39, 30,	32,	34,	35,	36,	36,	30)
alt.ad<-c(71,	63,	63,	67,	68,	68,	70,	64)

alturas<- data.frame(alt.2,alt.ad)

alturas.lm<- lm(alt.ad~alt.2, data=alturas)
alturas.conf<- confint(alturas.lm)

#####Respostas fora do NOTAR
plot(alt.ad~alt.2, data=alturas)
linha.modelo<-abline(alturas.lm, col="red")
linha.crenca<- abline(0,2, col="blue")

  ###R: Ao observarmos os valores do modelo hipottico, o intercepto 0 e inclinao de 2 esto fora do intervalo de confiana a 95%. A linha indicada pela regresso linear tambm no corrobora essa hiptese. 

#######################################
####  EXERCICIO 7.2

#Vamos retomar a regresso da massa do crebro em funo da massa corporal de alguns animais, do tutorial ajuste e diagnstico de uma regresso:

anim.m2 <- lm(log(brain)~log(body),data=Animals,subset=!(log(Animals$body)>8&log(Animals$brain)<6))

# Agora ajuste este modelo:

anim.m0 <- lm(log(brain)~1, data=Animals, 
              subset=!(log(Animals$body)>8&log(Animals$brain)<6))

#E compare os dois:

anova(anim.m0,anim.m2)

#Perguntas

# 1. Qual a relao do comando 'anova' acima com:

anova(anim.m2)

  ###R.: A funo anova() com dois modelos faz uma comparao entre os dois modelos indicados. E a anova com apenas um modelo faz uma comparao com o modelo nulo. Como m0  o modelo nulo, os resultados de ambos os comandos  o mesmo.

# 2. Qual a relao entre os valores obtidos por estes comandos:

summary(anim.m0)
mean(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))
sd(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))


  ###R.: A mdia dos valores de massa cerebral corresponte ao intercepto da linha do modelo nulo e o desvio padro desse conjunto de valores corresponde ao erro padro dos residuos.


#######################################
####  EXERCICIO 7.3 
#   Foi todo no NotaR.


#######################################
####  EXERCICIO 7.4

p<- pressure$pressure
t<- pressure$temperature

plot(p~t) ##no  linear

reg1<- lm(p~t)
abline(reg1) 
reg2<-update(reg1,.~. +I(t^2))

###para incluir o t2 na curva
cf.reg2<-coef(reg2)
curve(cf.reg2[1]+cf.reg2[2]*x+cf.reg2[3]*x^2, add=T, lty=2)#indexando as posies dos coeficientes

reg3<-update(reg2,.~. +I(t^3))

###para incluir o t3 na curva
cf.reg3<-coef(reg3)
curve(cf.reg3[1]+cf.reg3[2]*x+cf.reg3[3]*x^2+cf.reg3[4]*x^3, add=T, lty=3)#indexando as posies dos coeficientes

sumario<-summary(reg3)
r2<-sumario$r.squared

  ###R.:Ele sempre se ajustar mais aos dados, mas torna a explicao muito mais complexa. Como o objetivo de modelar  tornar a realidade mais simples e generalizvel um modelo muito complexo pode acabar por no traduzir os dados em algo til.
