#7.2 O modelo mais simples possvel

library(MASS)
data(Animals)
str(Animals)
anim.m2 <- lm(log(brain)~log(body),data=Animals, 
              subset=!(log(Animals$body)>8&log(Animals$brain)<6))
#Agora ajuste este modelo:
  
anim.m0 <- lm(log(brain)~1, data=Animals, 
                subset=!(log(Animals$body)>8&log(Animals$brain)<6))

#E compare os dois:
  
anova(anim.m0,anim.m2)

#Perguntas
#1. Qual a relao do comando 'anova' acima com:
  anova(anim.m2)
# No primeiro caso fizemos anova para comparar as variancias dos desvios em relao a media, do modelo mais complexo com o nulo (ausncia de efeito de qualquer preditora). No segundo caso fizemos a anova do modelo mais complexo 
#(para analisar a variancia dos seus desvios), o que da na mesma que o comando anterior, porque ele tambm compara com o modelo mais simples o possvel (sem o efeito de variveis preditoras).
#Por isso os valores que apareceram na anova do modelo 2 tambem aparecerem nas comparacoes dos modelos.   
    
#2. Qual a relao entre os valores obtidos por estes comandos:
  summary(anim.m0)
  mean(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))
  sd(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))
  #Dica
  #Um comando mais curto para ajustar o modelo deste exerccio, e que ajuda a interpret-lo:
    
    anim.m0 <- update(anim.m2, .~. -log(body))
    
#Quando calculamos a media e o desvio padrao estamos calculando, respectivamente, o valor "estimate" do intercept, que 
#eh o "a" da equacao y=a+bx+N(0,sigma), e o desvio dos residuos da reta (sigma) calculados no summary. Isso porque estamos comparando o nosso modelo com o nulo, ento o valor previsto para a varivel resposta  simplesmente sua mdia.
    