###Exerccios 8. Reamostragem e Simulao
##Exerccio 1.
eutad = read.table("palmadulto.txt", header= TRUE, as.is = TRUE, sep= "")
str(eutad)
length((eutad$tag))
#Crie o objeto para guardar as distncias entre cada indivduo:
  dist=matrix(NA, ncol=102, nrow=102)

#Calcule a distancia observada entre cada indivduo e guarde o resultados em dist:
  for(i in 1:101)
  {
    for(j in (i+1):102)
    {
      difx2=(eutad$gx[i]-eutad$gx[j])^2
      dify2=(eutad$gy[i]-eutad$gy[j])^2
      dist[i,j]<-sqrt(difx2 + dify2)
      dist[j,i]<-sqrt(difx2 + dify2)
    }
    
  }  

#Verifique o objeto dist e calcule o parmetro chamado de distncia mdia do vizinho mais 
#prximo (MNN):  
dist
(nn<-apply(dist, 1, min, na.rm=TRUE)) #o minimo de cada linha
(mnn<-mean(nn))

#Simulando
#At agora calculamos o valor esperado da distncia mdia do vizinho mais prximo. 
#Os prximos passos, so:

#Crie um vetor resultado, com 1000 NA's, para guardar os valores de cada simulao.
resultado = rep(NA,1000)

# Guarde o valor observado na primeira posio de resultado
resultado[1] <- mnn

#Crie um ciclo com contador (k) que vai de 2 a 1000
#Dentro do ciclo:
   #Crie o objetos xsim, um vetor com valores amostrados aleatoriamente de uma distribuio uniforme de 0 a 320 (o tamanho x da parcela), arredondando o valor para uma casa decimal). Lembre-se de sortear o mesmo quantidade de valores que a populao de palmito observado;
   #Faa o mesmo que no passo anterior e guarde no objeto ysim;
   #Como no tpico anterior, crie uma matriz para guardar as distncias entre cada valor xy simulados;
  #Crie os ciclos para o calculo das distncias como no tpico anterior;
  #Guarde o valor da distncia mdia do vizinho mais prximo dos dados simulados na posio k do vetor resultado;
  #Feche o ciclo.
distsim =matrix(NA, ncol=102, nrow=102)  
for(k in 2:1000)
  {
  
    xsim = round(runif(102,0,320),digits = 1)
    ysim = round(runif(102,0,320),digits = 1)
    for(i in 1:101)
    {
      for(j in (i+1):102)
      {
        difxsim=(xsim[i]-xsim[j])^2
        difysim=(ysim[i]-ysim[j])^2
        distsim[i,j]<-sqrt(difxsim + difysim)
        distsim[j,i]<-sqrt(difxsim + difysim)
      }
      
    }  
    (distmin <-apply(distsim, 1, min, na.rm=TRUE)) #o minimo de cada linha
    (resultado[k] = mean(distmin))
     
   }


#Faa um histograma dos valores simulados e coloque uma linha vermelha vertical na 
#posio do valor observado    
hist(resultado)
abline(v = resultado[1], col="red")

#Calcule a probabilidade de uma distribuio espacial aleatria gerar valores iguais ou 
#mais extremos do que o valor MNN observado.

unicaudal=sum(resultado<=mnn)
unicaudal
p.uni=unicaudal/length(resultado)
p.uni

##Exercicio 2
#Simulando o teste de uma regresso linear
animais = read.table("animais.txt", header= TRUE, as.is = TRUE, sep= ";", dec = ",")
animais = na.omit(animais)
plot(log(brain)~log(body), data=animais)
length(animais$body)

#Calcule a inclinao da relao log(brain) ~ log(body)
lm = lm(log(brain)~log(body),data=animais)
b =  coef(lm)[[2]]
abline(lm)
#Crie um vetor para guardar o resultado de simulaes
res = rep(NA, 1000)

#Guarde o valor observado no objeto criado em 2.2
res [1]<- b

#Abra um ciclo de 2 a 1000
#Desordene o vetor brain e guarde no objeto sim_brain
#Calcule a inclinao entre o log(sim_brain) ~ log(body) e guarde no vetor resultado;
#Feche o ciclo;

for (m in 2:1000)
{
  sim_brain = sample(animais$brain)
  lm_sim = lm(log(sim_brain)~log(animais$body))
  bsim <- coef(lm_sim)[[2]]
  res[m] <- bsim
}

#Faa o histograma dos valores simulados e compare com o valor observado da inclinao da relao;
hist(res)
abline(v=res[1], col="red")

#Calcule a probabilidade da inclinao observada ter sido gerada por variveis que so independentes;
unicaudal.=sum(abs(res)>=abs(res[1]))
unicaudal.
p.uni.=unicaudal./length(res)
p.uni.

