#Exercicio Notar 103.6
dados.esaligna<-read.table("esaligna.csv", header=T, sep=",")
dados.esaligna
str(dados.esaligna)
head(dados.esaligna)
summary(dados.esaligna)

dados.esaligna2<-dados.esaligna
dados.esaligna2[,10]<-dados.esaligna$folha + dados.esaligna$tronco

str(dados.esaligna2)
head(dados.esaligna2)
dados.esaligna.fin<-dados.esaligna2
dados.esaligna.fin[,11]<-pi*(((dados.esaligna$dap)/2)^2)
str(dados.esaligna.fin)

dados.esaligna.10cm<-dados.esaligna.fin[which(dados.esaligna.fin$dap > 10),]

fator.talhao<-as.factor(dados.esaligna.10cm$talhao)


somaareabasal<-tapply(dados.esaligna.10cm$V11, fator.talhao, sum)
somaareabasal
area.basal<-somaareabasal
area.basal
media.area.basal<-tapply(dados.esaligna.10cm$V11, fator.talhao, mean)
media.area.basal



#EXERCICIO NOTAR104.1

data(rivers)
rivers
class(rivers)
media<-mean(rivers)
media
menor.media<-rivers[rivers<media]
menor.media
n.menor.media<-length(menor.media)
n.menor.media
prop.mm<-n.menor.media/(length(rivers))
prop.mm

quantil.75<-summary(rivers)
quantil.75
quantil.75<-680
quantil.75

media<-mean(rivers)
media
mediana<-median(rivers)
mediana
summary(rivers)
media.truncada.25<-mean(rivers, trim=0.25)
media.truncada.25
medias<-c(media,media.truncada.25, mediana)
medias
summary(rivers)


#EXERCICIOS WIKI 104.2

cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa","lata","chope","nenhuma", "garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata")

#Represente este resultado como um grfico de barras e um dotplot (funo dotchart).

cervejas.numeros<-table(cervejas)
barplot(cervejas.numeros)                      
dotchart(cervejas.numeros)

#2-Qual tem maior razo dado/tinta?
# o Dotchart 

#4.3 Caixetais
caixeta<-read.csv("caixeta.csv", as.is=T)
head(caixeta)
#Construa um histograma do dap1) dos fustes dos caixetais.
dap<-caixeta$cap/pi
caixeta[,8]<-dap
colnames(caixeta)<-c("local","parcela","arvore","fuste","cap","h","especie","dap")
hist(dap)


#Construa histogramas da altura das rvores para os diferentes caixetais ('local').
hist(caixeta$h[caixeta$local=="chauas"])
hist(caixeta$h[caixeta$local=="jureia"])
hist(caixeta$h[caixeta$local=="retiro"])

#H diferenas entre as estruturas (distribuio de tamanhos) dos caixetais? 
hist(caixeta$h) #sim.Tem diferna

#4.4 Utilize o grfico boxplot para analisar o DAP de rvores de E. grandis em funo das variveis regio (regiao) e rotao (rotacao).  
egrandis<-read.csv("egrandis.csv",header = T,sep = ";")
head(egrandis)
boxplot(egrandis$dap~egrandis$regiao)
boxplot(egrandis$dap~egrandis$rotacao)

#4.4(2)-Avalie a normalidade da altura do conjunto total de rvores com um grfico quantil-quantil contra a distribuio normal.
qqnorm(egrandis$ht)
qqline(egrandis$ht) 
#a qqnorm nos da a distribuio dos dados e a qqline gera a linha teorica dos dados.

##4.5 Mais Caixetais
tabebuia<-caixeta[caixeta$especie=="Tabebuia cassinoides",]
head(tabebuia)
areas.basais<-pi*(tabebuia$dap/2)^2
tabebuia[,9]<-areas.basais
colnames(tabebuia)<-c("local","parcela","arvore","fuste","cap","h","especie","dap","area.basal")

soma.areas<-aggregate(tabebuia$area.basal,by=list(tabebuia$arvore,tabebuia$local,tabebuia$h), FUN=sum)
head(soma.areas)
soma.areas[0,4]<-

plot(soma.areas$x[soma.areas$Group.2=="chauas"],soma.areas$x[soma.areas$Group.2=="chauas"])
plot(soma.areas$x[soma.areas$Group.2=="retiro"],soma.areas$x[soma.areas$Group.2=="retiro"])
plot(soma.areas$x[soma.areas$Group.2=="jureia"],soma.areas$x[soma.areas$Group.2=="jureia"])

#2
chauas1<-scatter.smooth(soma.areas$x[soma.areas$Group.2=="chauas"],soma.areas$x[soma.areas$Group.2=="chauas"])
retiro1<-scatter.smooth(soma.areas$x[soma.areas$Group.2=="retiro"],soma.areas$x[soma.areas$Group.2=="retiro"])
jureia1<-scatter.smooth(soma.areas$x[soma.areas$Group.2=="jureia"],soma.areas$x[soma.areas$Group.2=="jureia"])

#3 Utilizando o pacote lattice, analise a relao dap-altura ('dap' e 'h') em funo do caixetal (local), mas somente para as rvores 3) de caixeta (Tabebuia cassinoides).
library(lattice)

xyplot(dap~h|local, data=tabebuia, xlab="DAP", ylab="Altura")
