#4.2 Cervejas

#1)

cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa","lata","chope","nenhuma", "garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata")

cervejas<-table(cervejas)

barplot(cervejas)

cervejas<-as.table(cervejas)

dotchart(cervejas)

#2) O grfico dotplot tem a maior razo dado/tinta

caixeta<-read.table("caixeta.csv", head=T, sep=",", as.is=T)

#4.3) Caixetais

#1. Construa um histograma do dap do fuste dos caixetais

dap.dos.caixetais<-caixeta$cap/pi

hist(dap.dos.caixetais)

#2. Construa histogramas da altura das arvores para os diferentes caixetais 'local'

hist(caixeta$h[caixeta$local=="chauas"])
hist(caixeta$h[caixeta$local=="retiro"])
hist(caixeta$h[caixeta$local=="jureia"])

#3. Ha diferencas entre as estruturas (distribuicao de tamanhos) dos caixetais?

#Sim

#4.4 Eucaliptos

eucaliptos<-read.table("egrandis.csv", head=T, sep=";", as.is=T)

#1. Utilize o grafico boxplot para analisar o DAP das arvores 
#de E.grandis em funcao das variaveis da regiao e rotacao


boxplot(eucaliptos$dap~eucaliptos$regiao)
#A mediana e os valores maximos e minimos do DAP das arvores se assemelha entre as regioes. Na regiao de
#Bofete exitem muitos outliers.

boxplot(eucaliptos$dap~eucaliptos$rotacao)
#Com relacao a rotacao, a rotacao 1 e maior que a 2 e tambem possui mais outliers.

#2. Avalie a normalidade da altura do conjunto total de arvores
#com um grafico quantil-quantil contra a distribuicao normal

qqnorm(eucaliptos$ht)
qqline(eucaliptos$ht)

#A altura do conjunto total de arvores assemelha-se a distribuicao normal.

#4.5)

#1) Analise a relacao dap-altura ('dap' e 'h') em funcao do caixetal (local) com 
#a funcao 'plot' mas somente para as arvores de caixeta (Tabebuia cassinoides)

#a relacao dap~h me da ideia de tamanho da arvore = volume

caixetais<-caixeta
caixetais[,8]<-dap.dos.caixetais
area.basal<-(pi*(caixetais$V8/2))^2
caixetais[,9]<-area.basal

tabebuia<-caixetais[caixeta$especie=="Tabebuia cassinoides",] #este objeto possui apenas T. cassinoides

soma.areas<-aggregate(tabebuia$V9,by=list(tabebuia$arvore,tabebuia$local,tabebuia$h), FUN=sum)

colnames(soma.areas)[3]<-"h"
dap.total<-(sqrt(soma.areas$x/(pi)))*2

soma.areas[,5]<-dap.total

plot(soma.areas$V5[soma.areas$Group.2=="chauas"],soma.areas$h[soma.areas$Group.2=="chauas"])
plot(soma.areas$V5[soma.areas$Group.2=="retiro"],soma.areas$h[soma.areas$Group.2=="retiro"])
plot(soma.areas$V5[soma.areas$Group.2=="jureia"],soma.areas$h[soma.areas$Group.2=="jureia"])

#2)

chauas<-scatter.smooth(soma.areas$V5[soma.areas$Group.2=="chauas"], soma.areas$h[soma.areas$Group.2=="chauas"])
retiro<-scatter.smooth(soma.areas$V5[soma.areas$Group.2=="retiro"], soma.areas$h[soma.areas$Group.2=="retiro"])
jureia<-scatter.smooth(soma.areas$V5[soma.areas$Group.2=="jureia"], soma.areas$h[soma.areas$Group.2=="jureia"])

#3)

library("lattice")

xyplot(dap~h|local, data=tabebuia, xlab="DAP", ylab="Altura")








