#5.1)

saligna<-read.table("esaligna.csv", head=T, sep=",", as.is=T)

plot(x=saligna$dap, y=saligna$ht, xlab="Dimetro  altura do peito(cm)",
     ylab="Altura(m)", pch=19, col="red", cex=1.4, cex.axis=1.5, cex.lab=1.7, 
     tcl=0.3, las=1, bty="l")

mtext("*Eucalypthus saligna*", 3, cex=1.8)

savePlot("Esaligna.png", type=png)

#5.2)

par(mfrow=c(1,2),  cex.axis=1.5, cex.lab=1.7, tcl=0.3, las=1, bty="l", mgp=c(1.5,0.2,0)) 
boxplot(saligna$dap~saligna$talhao, xlab="Talhao", ylab="DAP")
locator(1)
text(0.80, 23, "a", cex=1.8)

par(cex.lab=1.7,tcl=0.3, las=1, bty="l")
graphic<-barplot(height=media.sd$media, xlab="Talhao", ylab="Mdia DAP")
locator(1) 
text(0.56, 14.96,"b", cex=1.8) 

arrows(graphic, media.sd$media-media.sd$sd, graphic, 
       media.sd$media+media.sd$sd, angle=90, code=3)

media<-aggregate(saligna$dap, by=list(saligna$talhao), mean)
desvpad<-aggregate(saligna$dap, by=list(saligna$talhao), sd)

media.sd<-media
media.sd[,3]<-desvpad$x

colnames(media.sd)[1]<-"talhao"
colnames(media.sd)[2]<-"media"
colnames(media.sd)[3]<-"sd"

#5.3)

codigo<-read.table("exercicio3.csv", head=T, sep=",", as.is=T)

x11()
par(mfrow=c(1,2),  cex.lab=1.2,cex.axis=1, tcl=0.3, las=0, bty="l", mgp=c(1.5,0.2,0), pch=17, family="serif")
plot(codigo$x1, codigo$y1, xlab="Log(Patch size)(ha)", ylab="Euclidean distances", xlim=c(0.5,2),
     ylim=c(0,3))
segments(x=0.5, y=2.25, x1=2.17, y1=1, lwd=2)
text(2.04, 3.01, "a", cex=1.8)

par( cex.lab=1.2, mgp=c(1.5,1.5,0))
boxplot(codigo$x2~codigo$y2, ylim=c(0,3), xlab=NULL, ylab=NULL, names=c("Small","Medium \n Edge", "Medium \n Interior", "Large \n Edge", "Large \n Interior", "Control") )

text(1, 3, "*", cex=1.8)
text(2, 3, "*", cex=1.8)
text(3, 3, "**", cex=1.8)
text(4, 3, "*", cex=1.8)
text(5, 3, "***", cex=1.8)
text(6, 3, "b", cex=1.8)


