###############################
### Regresso Linear Simples ##
########## Monalisa ###########
###############################

#7.2 O modelo mais simples possvel

#Carregando os dados
library(MASS)
data(Animals)
str(Animals)

#modelos
anim.m2 <- lm(log(brain)~log(body),data=Animals, 
              subset=!(log(Animals$body)>8&log(Animals$brain)<6))

anim.m0 <- lm(log(brain)~1, data=Animals, 
              subset=!(log(Animals$body)>8&log(Animals$brain)<6))

anova(anim.m0,anim.m2)

#Perguntas:
#1. Qual a relao do comando 'anova' acima (anova(anim.m0,anim.m2)) com anova(anim.m2):
#Na primeira funo estamos usando anova para comparao de diferentes modelos.
#Nesse caso temos uma tabela como output que nos mostra qual dos dois modelos est melhor ajustado, quanto de variao no explicada cada modelo deixa e se eles diferem estatisticamente entre si. Assim podemos tomar uma deciso sobre qual  o modelo mnimo adequado para melhor explicar os nossos dados. Nesse caso, o modelo mnimo adequado  o modelo anim.m2. J no segundo comando temos a tabela de partio de varincia do modelo mnimo adequado obtido na seleo de modelos com o comando anterior, que fornece informaes tais como a soma dos desvios quadrados, o quadrado mdio, e o  valor da estatstica F, que permite encontrar a probabilidade de que os valores observados sejam encontrados por puro acaso (p-value). 

#2. Qual a relao entre os valores obtidos por estes comandos:
summary(anim.m0)
mean(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))
sd(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))

#Os  comandos mean e sd esto contidos no comando summary. O comando summary, nesse caso, fornece os valores relativos ao modelo nulo, ou seja. o modelo mais simples possvel, onde a massa do crebro dos animais pode ser prevista apenas pela mdia amostral. Ou seja, nenhuma variao em y (massa do crebro)  atribuda  variao de x (tamanho corporal), que se mantm constante (hiptese nula). Nesse caso, a estimativa do intercepto da reta equivale a mdia amostral, e o coeficiente de inclinao da reta (beta) vale 0, j que no temos nenhuma variao em x. J o comando sd est expresso pelo valor do Residual standart error no output do summary, e representa a disperso em torno da grande mdia populacional (parmetro). 

