#ex notar 107.1 altura na vida adulta
h2=c(39,30,32,34,35,36,36,30)
hadul=	c(71,63,63,67,68,68,70,64)

alturas = data.frame(h2,hadul)
alturas.lm = lm(hadul~h2,alturas)
alturas
summary(alturas.lm)
alturas.confi = confint(alturas.lm)
alturas.confi
#grafico
plot(alturas$hadul~alturas$h2)
abline(alturas.lm, col = "blue")
abline(a=0,b=2, col = "red")

#ex 7.2
library(MASS)
data(Animals)
str(Animals)
anim.m2 <- lm(log(brain)~log(body),data=Animals, 
              subset=!(log(Animals$body)>8&log(Animals$brain)<6))
anim.m0 <- lm(log(brain)~1, data=Animals, 
              subset=!(log(Animals$body)>8&log(Animals$brain)<6))
anova(anim.m0,anim.m2)
#7.2.1
anova(anim.m2) #retorna a tabela de anova do modelo
summary(anim.m0) #retorna o resumo do modelo
mean(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)])) #retorna a media dos dados em log (semelhante ao valor dado pelo modelo)
sd(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)])) #retorna o desvio padrao dos dados em log (semelhante ao valor dado pelo modelo)
anim.m0 <- update(anim.m2, .~. -log(body))

# ex 107.2 notar
#107.3 Resduos de Iris
#Uma maneira simples de descontar o efeito indesejado de uma co-varivel  usar os resduos de uma regresso de sua varivel de interesse em funo desta co-varivel. Use apenas as observaes da espcie Iris setosa, no objeto de dados iris e:
iris
str(iris)
head(iris)
tail(iris)
summary(iris)

#Crie um objeto chamado lm.iris que contenha uma regresso linear da largura da spala em funo do comprimento da spala.
lm.iris = lm(iris$Sepal.Width~iris$Sepal.Length,iris)
lm.iris
summary(lm.iris)
#Crie um objeto chamado lm.iris.coef que contenha os coeficientes dessa regresso (intercepto e inclinao). Dica: Existe uma funo especfica para extrair coeficientes de modelos ajustados.
lm.iris.coef = coef(lm.iris)
lm.iris.coef
#Crie um objeto chamado lm.iris.nopetal que contenha a mesma regresso, mas descontando do efeito do comprimento da ptala de cada varivel. Crie tambm um objeto contendo os coeficientes (intercepto e inclinao) desse novo modelo, chamado lm.iris.nopetal.coef.

#criar modelo do comprimento da petala pelo comprimento da sepala 
lm.cp.cs = lm(iris$Petal.Length ~iris$Sepal.Length)
summary(lm.cp.cs)
#criar modelo do comprimento da petala pela largura da sepala
lm.cp.ls = lm(iris$Petal.Length~iris$Sepal.Width)
summary(lm.cp.ls)
#criar um modelo dos resduos desses dois modelos = parte do lm1 q no  explicada pelos 2os modelos
res.lm1 = residuals(lm.cp.cs)
res.lm2 = residuals(lm.cp.ls)

lm.iris.nopetal = lm(res.lm1~res.lm2)
summary(lm.iris.nopetal)
#Use a funo summary em ambos os modelos para encontrar a porcentagem da varincia explicada por cada modelo.


##107.4 Presso e temperatura
#Vamos usar um conjunto de dados do R chamado pressure, que contm dados da presso de vapor de mercrio em funo da temperatura. Carregue esse conjunto de dados na sua rea de trabalho, e salve as colunas pressure e temperature em dois objetos novos, p e t, para facilitar os prximos passos.
pressure
p = pressure$pressure
t = pressure$temperature

#Visualize a relao entre as variveis "p" e "t" em um grfico (no precisa estar no script entregue). A relao entre elas parece ser linear?
plot(p~t)

#Mas vamos fazer uma regresso linear mesmo assim! Crie um objeto chamado reg1 contendo a regresso linear de p em funo de t.
reg1 = lm(p~t)
plot(p~t)
abline(reg1, col = "blue")

#Visualize como essa regresso se comporta. D pra fazer melhor, no ? Crie um objeto chamado reg2 contendo a regresso de p em funo de t e t (lembre-se do tutorial!).

reg2 = update(reg1,.~. +I(t^2))
summary(reg2)
plot(reg2)
abline(reg2, col = "red")
#Visualize o resultado dessa regresso. Melhor? D pra melhorar? Crie um objeto chamado reg3 contendo a regresso de p em funo de t, t e t! Guarde em um objeto chamado r2 o valor do R da regresso que voc encontrou que melhor ajusta os dados.
reg3 = update(reg1, .~. +I(t^3))
plot(reg3)
summary(reg3)
abline(reg3)

#7.5 siriemas e carcaras


#H relao entre o nmero de avistamentos de seriemas e carcars em alguma das fisionomias amostradas?
#H diferenas na relao entre o nmero de avistamentos de seriemas e carcars entre as fisionomias do Cerrado?
#Para responder a essas questes, crie um data frame chamado aves com os dados 
aves = read.table("aves_cerrado.csv", sep = ";", dec = ".", header = TRUE)
aves
str(aves)
head(aves)
tail(aves)
class(aves)
#e depois um modelo linear (mod.ce, mod.cc e mod.cl) para cada uma das fisionomias. 
seriemas.ce = aves$seriema[aves$fisionomia=="Ce"]
seriemas.ce
seriemas.cc = aves$seriema[aves$fisionomia=="CC"]
seriemas.cc
seriemas.cl = aves$seriema[aves$fisionomia=="CL"]
seriemas.cl
carcaras.ce = aves$carcara[aves$fisionomia=="Ce"]
carcaras.ce
carcaras.cc = aves$carcara[aves$fisionomia=="CC"]
carcaras.cc
carcaras.cl = aves$carcara[aves$fisionomia=="CL"]
carcaras.cl


mod.ce=lm(seriemas.ce~carcaras.ce)
plot(mod.ce)
mod.cc=lm(seriemas.cc~carcaras.cc)
plot(mod.cc)
mod.cl=lm(seriemas.cl~carcaras.cl)
plot(mod.cl)
s.ce = summary(mod.ce)
s.ce
s.cc = summary(mod.cc)
s.cc
s.cl = summary(mod.cl)
s.cl

#Qual o valor de p de cada regresso? E os valores dos coeficientes de cada regresso? 

p.ce = pf(s.ce$fstatistic[1],s.ce$fstatistic[2],s.ce$fstatistic[3],lower.tail=F)
p.ce
p.cc = pf(s.cc$fstatistic[1],s.cc$fstatistic[2],s.cc$fstatistic[3],lower.tail=F)
p.cc
p.cl = pf(s.cl$fstatistic[1],s.cl$fstatistic[2],s.cl$fstatistic[3],lower.tail=F)
p.cl
coef.ce = coef(mod.ce)
coef.ce
coef.cc = coef(mod.cc)
coef.cc
coef.cl = coef(mod.cl)
coef.cl
