#Ex1
eutad = read.table("palmadulto.txt", sep = "\t", dec = ".", header = T)
str(eutad)
head(eutad)
tail(eutad)
dist=matrix(NA, ncol=102, nrow=102)
dist
for(i in 1:101)
{
  for(j in (i+1):102)
  {
    difx2=(eutad$gx[i]-eutad$gx[j])^2
    dify2=(eutad$gy[i]-eutad$gy[j])^2
    dist[i,j]=sqrt(difx2 + dify2)
    dist[j,i]=sqrt(difx2 + dify2)
  }
  
}
str(dist)
(nn=apply(dist, 1, min, na.rm=TRUE))
(mnn=mean(nn))

#1.5. Crie um vetor resultado, com 1000 NA's, para guardar os valores de cada simulao.
resultado = rep(NA,1000)
#1.6. Guarde o valor observado na primeira posio de resultado;
resultado[1]=mnn
str(resultado)
npal = nrow(eutad)
#1.7. Crie um ciclo com contador (k) que vai de 2 a 1000;
for(k in 2:1000)
{
  xsim=round(runif(npal,0,320),0)
  ysim=round(runif(npal,0,320),0)
  for(i in 1:101)
    {
    for(j in (i+1):102)
      {
      difx2=(xsim[i]-xsim[j])^2
      dify2=(ysim[i]-ysim[j])^2
      dist[j,i]=sqrt(difx2 + dify2)
      dist[i,j]=sqrt(difx2 + dify2)	
    }
  }
  nn=apply(dist, 1, min, na.rm=TRUE)
  resultado[k] = mean(nn)
}


hist(resultado)
abline(v = mnn, col="red")

#Probabilidade
bicaudal=sum(resultado>=resultado[1]|resultado<=(resultado[1]*-1)) 
bicaudal 
length(resultado) 
pro.bi=bicaudal/length(resultado) 
pro.bi

#A probabilidade  de 96,8% 


#Exerccio 2
#2.1. Calcule a inclinao da relao log(brain ~ log(body)
animais = read.table("animais.txt", header=TRUE,na.strings=c("", "NA"),sep = ";", dec =",")
animais =na.omit(animais)
animais
animais$lbody = log(animais$body)
animais$lbrain = log(animais$brain)
animais
lm1=lm(lbrain~lbody, data= animais)  
summary(lm1)

x = sum((animais$lbody-mean(animais$lbody))*(animais$lbrain-mean(animais$lbrain)))
y = sum((animais$lbody-mean(animais$lbody))^2)
inclinacao = x/y
inclinacao

resposta = as.vector(matrix(NA,1000))
resposta[1]=inclinacao
str(resposta)
for(i in 2:1000)
{
  simulacao.brain = sample(animais$lbrain)
  inclinacao.sim= sum((animais$lbody-mean(animais$lbody))*(simulacao.brain-mean(simulacao.brain)))/sum((animais$lbody-mean(animais$lbody))^2)
  resposta[i] =inclinacao.sim
}
str(resposta)

hist(resposta)
abline(v = resposta[1], col = "red")

p.bicaudal = (sum(resposta>=resposta[1]) + sum(resposta<=resposta[1]*(-1)))/length(resposta)
p.bicaudal

#p menor que 0.001